<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1132
Name: Counsciousness And Neurological Status
Description: Counsciousness and Neurological Status: Bewustzijn en neurologische status
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641">
   <title>Counsciousness And Neurological Status</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1132
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]
Item: (CounsciousnessAndNeurologicalStatus)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]"
         id="d20e4180-false-d5714e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]) &lt;= 1">(CounsciousnessAndNeurologicalStatus): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1132
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]
Item: (CounsciousnessAndNeurologicalStatus)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]"
         id="d20e4202-false-d5729e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="string(@classCode) = ('ACT')">(CounsciousnessAndNeurologicalStatus): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="string(@moodCode) = ('EVN')">(CounsciousnessAndNeurologicalStatus): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']) &gt;= 1">(CounsciousnessAndNeurologicalStatus): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']) &lt;= 1">(CounsciousnessAndNeurologicalStatus): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.98-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(CounsciousnessAndNeurologicalStatus): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.98-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.98-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(CounsciousnessAndNeurologicalStatus): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.98-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1132
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']
Item: (CounsciousnessAndNeurologicalStatus)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']"
         id="d20e4208-false-d5766e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CounsciousnessAndNeurologicalStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.1132')">(CounsciousnessAndNeurologicalStatus): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1132' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1132
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.98-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (CounsciousnessAndNeurologicalStatus)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1132']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.98-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e4213-false-d5783e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CounsciousnessAndNeurologicalStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.98-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CounsciousnessAndNeurologicalStatus): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.98 Handelingen bewustzijn en neurologische status SNOMED (DYNAMISCH)'.</assert>
   </rule>
</pattern>
