<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1149
Name: Return Of Spontaneous Circulation
Description: Return Of Spontaneous Circulation: Return Of Spontaneous Circulation (ROSC)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942">
   <title>Return Of Spontaneous Circulation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1149
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]
Item: (ReturnOfSpontaneousCirculation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]"
         id="d20e5050-false-d7745e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]) &lt;= 1">(ReturnOfSpontaneousCirculation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1149
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]
Item: (ReturnOfSpontaneousCirculation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]"
         id="d20e5072-false-d7760e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(ReturnOfSpontaneousCirculation): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="string(@moodCode) = ('EVN')">(ReturnOfSpontaneousCirculation): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="@negationInd">(ReturnOfSpontaneousCirculation): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ReturnOfSpontaneousCirculation): attribuut @negationInd MOET datatype 'bl' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']) &gt;= 1">(ReturnOfSpontaneousCirculation): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']) &lt;= 1">(ReturnOfSpontaneousCirculation): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="count(hl7:code[(@code = '711410007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(ReturnOfSpontaneousCirculation): element hl7:code[(@code = '711410007' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="count(hl7:code[(@code = '711410007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(ReturnOfSpontaneousCirculation): element hl7:code[(@code = '711410007' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1149
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']
Item: (ReturnOfSpontaneousCirculation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']"
         id="d20e5087-false-d7800e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReturnOfSpontaneousCirculation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.1149')">(ReturnOfSpontaneousCirculation): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1149' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1149
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]/hl7:code[(@code = '711410007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (ReturnOfSpontaneousCirculation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1149']]/hl7:code[(@code = '711410007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e5092-false-d7815e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReturnOfSpontaneousCirculation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.html"
              test="@nullFlavor or (@code='711410007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Signs of return of spontaneous circulation (finding)' and @codeSystemName='SNOMED CT')">(ReturnOfSpontaneousCirculation): de elementwaarde MOET een zijn van 'code '711410007' codeSystem '2.16.840.1.113883.6.96' displayName='Signs of return of spontaneous circulation (finding)' codeSystemName='SNOMED CT''.</assert>
   </rule>
</pattern>
